require "envdgen/version"
require "dotenv"
require "fileutils"

module Envdgen
  def self.gen(src, target, force=false)
    env = Dotenv::Environment.new(src)
    FileUtils.mkdir_p(target)
    env.each do |key, value|
      fname = File.join(target, key)
      if force || !File.exists?(fname)
        File.open(fname, 'w+') do |f|
          f.write(value)
          yield fname if block_given?
        end
      end
    end
  end
end
